BJAVALOADER(1)

NAME
bjavaloader - Barry Project's program to manage BlackBerry applications

SYNOPSIS
bjavaloader [-h][-p pin][-P pass][-v]

bjavaloader dir [-s]

bjavaloader deviceinfo

bjavaloader load <.codfile>

bjavaloader save [-A] <module_name>

bjavaloader wipe [-a | -i]

bjavaloader erase [-f] <module_name>

bjavaloader eventlog

bjavaloader cleareventlog

bjavaloader logstacktraces

bjavaloader screenshot <.bmp file>

bjavaloader settime [yyyy-mm-dd HH:MM:SS]

DESCRIPTION

bjavaloader is a tool for loading, listing, and deleting applications on a BlackBerry device. It has a few other features as well, not pertaining to application management. The command syntax is intentionally similar to the Windows program 'javaloader.exe' provided by Research In Motion, in order to make it easy to use the same build scripts on Linux and Windows.

OPTIONS

-A  Used with the 'save' command to save all available modules.

-a  Used with the 'wipe' command to only wipe the applications.

-i  Used with the 'wipe' command to only wipe the filesystem.

-f  Used with the 'erase' command to force the erasure of an application that is currently in use in the device. Experimental.

-h  Display a command help summary.

-s  When using the 'dir' command, list the submodules as well.

-p pin
    Specifies the PIN number of the device with which you wish to communicate, when multiple devices are connected.

-P password
    A simplistic method to specify the device password.

-v  Verbose debug output. This enables dumping of USB bus scanning, as well as the protocol packets used during communication.

COMMANDS

dir [-s]
    Fetch a list of all applications and display them on stdout. When used with the -s option, submodules are included, and can take a long time to display.

deviceinfo
    Provides information on the handheld.

load <.cod filename> ...
    Loads one or more COD application files into the device.

save [-A] <module name> ...
    Retrieves modules from the handheld and writes them to .cod files with the same name as the module. Note that this will overwrite any existing .cod file in the current directory. If the -A option is specified, a dir will be done internally, and all available modules will be saved.

wipe [-a | -i]
    Wipes the handheld, removing all data such as messages, contacts, etc. and/or all .cod files, including OS .cod files. By default, with no options specified, both applications and data are wiped. Use the switches to specify only applications or data.

erase [-f] <module name> ...
    Delete the specified application module(s). The module name can be determined using the 'dir' command. When used with the -f option, the module is erased even if in use, and the device will be reset.

eventlog
    Retrives the handheld event log and prints it on stdout.

cleareventlog
    Clears the handheld event log.

logstacktraces
    Dumps the stack traces for all threads into the event log, which can then be viewed with the 'eventlog' command.

screenshot <.bmp filename>
    Capture current screen image and save in BMP format.

settime [yyyy-mm-dd HH:MM:SS]
    Sets the time on the handheld to the current time, or the specified time. If time is given as an argument, the current system timezone is assumed.

AUTHOR
bjavaloader was initially written for the Barry project by Nicolas Vivien, with additional contributions from others over time. This manual page was written by Chris Frey.

SEE ALSO

http://www.netdirect.ca/software/packages/barry